#!/usr/bin/env bash

DIRNAME_PREFIX=/usr/rtls/rtls-solution-positions-manager
MODULE_PREFIX=$DIRNAME_PREFIX/apps/positions-manager

# copy .env file in tmp folder
mkdir -p /tmp/rtls-solution-positions-manager

if [ -e $MODULE_PREFIX/.env ]; then
  cp -rf $MODULE_PREFIX/.env /tmp/rtls-solution-positions-manager/
fi

if [ -e $MODULE_PREFIX/sys-services/rtls-solution-positions-manager.service ]; then
  cp -rf $MODULE_PREFIX/sys-services/rtls-solution-positions-manager.service /usr/lib/systemd/system/
  chmod 644 /usr/lib/systemd/system/rtls-solution-positions-manager.service
  chown ubuntu:ubuntu /usr/lib/systemd/system/rtls-solution-positions-manager.service
fi

# clear installation folder
rm -rf $DIRNAME_PREFIX/*

sudo systemctl is-active --quiet rtls-solution-positions-manager && systemctl stop rtls-solution-positions-manager
