import * as Controllers from './controllers/index.mjs';
import logger from '../logger.mjs';
import { getChannelWithMessage } from '../../utils/index.mjs';

export default async function(zmqBuffer) {
    const rawMessage = zmqBuffer.toString();
    const { channel, message } = getChannelWithMessage(rawMessage);

    const controller = Controllers.main[channel];
    if (controller) {
        await controller(message);
    } else {
        logger.info('No controller for message: ', rawMessage);
    }

    return undefined;
}
