import assert from 'assert';
import { ClientBase } from './ClientBase.mjs';

describe('ClientBase', function () {
    it('should init with type/email', async function() {
        const type = 'ws';
        const email = 'test@test.com';
        const client = new ClientBase(type, email);
        assert(client.type === type, `types not equal`);
        assert(client.email === email, `emails not equal`);
    });
    it('should init without type/email', async function() {
        const client = new ClientBase();
        assert(client.type === null, `type not equal to null`);
        assert(client.email === null, `email not equal to null`);
    });
    it('should implement setOnClose method', async function() {
        let counter = 0;
        const client = new ClientBase('ws', 'test@test.com');
        const onClose = () => { counter += 1; }
        client.setOnClose(onClose);
        assert(counter === 0, `counter not equal to 0`);
        client.onClose();
        assert(counter === 1, `counter was not incremented`);
    });
});
