import assert from 'assert';
import { User } from './User.mjs';
import ModelBase from '../ModelBase.mjs';

const repository = {
    user: {
        read: async function ({ email }) {
            return { email }
        }
    }
}

describe('User', function () {
    it('should read user from repository', async function() {
        ModelBase.setRepository(repository);
        const email = 'test@test.com';
        const user = await new User().read(email);
        assert.deepStrictEqual(user, { email });
    });
});
