import UseCaseBase from '../UseCaseBase.mjs';
import { Dispatcher, Notify } from '../../models/index.mjs';

export class AlarmHandle extends UseCaseBase {
    /**
     * @method
     * @param {Object} alarmRaw - raw alarm
     * ...
     * @param {String} alarmRaw.project_uid - project unique identifier
     * @returns {Promise<null>}
     */
    async execute(alarmRaw) {
        const { topic, message } = Notify.getAlarmMessage(alarmRaw);
        await Dispatcher.send(topic, message);
        return null;
    }
}
