import UseCaseBase from '../UseCaseBase.mjs';
import { Dispatcher, Notify } from '../../models/index.mjs';

export class OtaHandle extends UseCaseBase {
    /**
     * @method
     * @param {Object} otaRawData - raw ota data
     * ...
     * @param {String} otaRawData.mac - hardware MAC address
     * @returns {Promise<null>}
     */
    async execute(otaRawData) {
        const { topic, message } = await Notify.getOtaMessage(otaRawData);
        await Dispatcher.send(topic, message);
        return null;
    }
}
