import { UserRepository, StateRepository, NodeRepository } from './documents/index.mjs';

export class Repository {
    /**
     * @typedef {Class} Repository
     * @property user
     * @property state
     * @property node
     */

    /**
     * @type {UserRepository} returns DB access to user
     */
    user = null;

    /**
     *
     * @type {StateRepository} returns DB access to state
     */
    state = null;

    /**
     *
     * @type {NodeRepository} returns DB access to nodes
     */
    node = null;

    /**
     * @param {Object} options - repository options
     * @param {Object} options.mariadb - mariadb connection
     * @param {Object} options.redis - redis connection
     * @param {string} options.prefix - redis storage prefix
     */
    constructor(options) {
        this.user = new UserRepository(options);
        this.state = new StateRepository(options);
        this.node = new NodeRepository(options);
    }
}
